package com.saye.hospitalgd.mapper;

import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface UnilateralMapper {
    List<HashMap<Object, Object>> findAllUnilateral(HashMap<Object, Object> map) throws Exception;

    void insertUnilateral(HashMap<Object, Object> map) throws Exception;

    void updateUnilateral(HashMap<Object, Object> map)throws Exception;

    List<HashMap<Object, Object>> findDBZNum(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findDBZFLNumByTime(HashMap<Object, Object> map) throws Exception;

    void deleteUnilateral(HashMap<Object, Object> map)throws Exception;

    List<HashMap<Object, Object>> findUnilateralByParam(HashMap<Object, Object> map) throws Exception;

    void deleteUnilateralByNoManager(HashMap<Object, Object> map) throws Exception;

    void updateUnilateralManagerStatus(HashMap<Object, Object> map) throws Exception;

    void deleteUnilateralByJoinIdNotNull(HashMap<Object, Object> map) throws Exception;

    void deleteUnilateralByIdandStatus(HashMap<Object, Object> map) throws Exception;
}
